eclipse-jdt-4.11-2.mga8.noarch.rpm


Advertisement

Description

eclipse-jdt - Eclipse Java Development Tools

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package filename eclipse-jdt-4.11-2.mga8.noarch.rpm
Package name eclipse-jdt
Package version 4.11
Package release 2.mga8
Package architecture noarch
Package type rpm
Category Development/Java
Homepage http://www.eclipse.org/
License EPL-2.0
Maintainer -
Download size 29.71 MB
Installed size 32.31 MB
Eclipse Java Development Tools.  This package is required to use Eclipse for
developing software written in the Java programming language.

Alternatives

Package Version Architecture Repository
eclipse-jdt-4.11-2.mga8.noarch.rpm 4.11 noarch Mageia Core
eclipse-jdt - - -

Requires

Name Value
eclipse-platform == 1:4.11-2.mga8
java-headless >= 1:1.8
javapackages-filesystem -
junit >= 4.12
junit5 >= 5.4.0
osgi(org.apiguardian) -
osgi(org.hamcrest.core) -
osgi(org.junit) -
osgi(org.junit.jupiter.api) -
osgi(org.junit.jupiter.engine) -
osgi(org.junit.jupiter.migrationsupport) -
osgi(org.junit.jupiter.params) -
osgi(org.junit.platform.commons) -
osgi(org.junit.platform.engine) -
osgi(org.junit.platform.launcher) -
osgi(org.junit.platform.runner) -
osgi(org.junit.platform.suite.api) -
osgi(org.junit.vintage.engine) -
osgi(org.opentest4j) -

Provides

Name Value
eclipse == 1:4.11-2.mga8
eclipse-jdt == 1:4.11-2.mga8
metainfo() -
metainfo(eclipse-jdt.metainfo.xml) -
mvn(org.eclipse.ant:org.eclipse.ant.launching) == 1.2.400.SNAPSHOT
mvn(org.eclipse.ant:org.eclipse.ant.ui) == 3.7.400.SNAPSHOT
mvn(org.eclipse.jdt.feature:org.eclipse.jdt) == 3.17.0.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt) == 3.17.0.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.annotation) == 2.2.200.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.apt.core) == 3.6.300.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.apt.pluggable.core) == 1.2.300.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.apt.ui) == 3.6.200.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.compiler.apt) == 1.3.500.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.compiler.tool) == 1.2.500.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.core) == 3.17.0.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.core.manipulation) == 1.11.100.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.debug) == 3.12.200.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.debug.ui) == 3.10.200.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.doc.user) == 3.15.200.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.junit) == 3.11.300.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.junit.core) == 3.10.200.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.junit.runtime) == 3.4.900.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.junit4.runtime) == 1.1.900.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.junit5.runtime) == 1.0.400.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.launching) == 3.13.0.SNAPSHOT
mvn(org.eclipse.jdt:org.eclipse.jdt.ui) == 3.17.0.SNAPSHOT
osgi(org.eclipse.ant.launching) == 1.2.400.v20190718.1529
osgi(org.eclipse.ant.ui) == 3.7.400.v20190718.1529
osgi(org.eclipse.jdt) == 3.17.0.v20190718.1529
osgi(org.eclipse.jdt.annotation) == 2.2.200.v20190718.1529
osgi(org.eclipse.jdt.apt.core) == 3.6.300.v20190718.1529
osgi(org.eclipse.jdt.apt.pluggable.core) == 1.2.300.v20190718.1529
osgi(org.eclipse.jdt.apt.ui) == 3.6.200.v20190718.1529
osgi(org.eclipse.jdt.compiler.apt) == 1.3.500.v20190718.1529
osgi(org.eclipse.jdt.compiler.tool) == 1.2.500.v20190718.1529
osgi(org.eclipse.jdt.core) == 3.17.0.v20190718.1529
osgi(org.eclipse.jdt.core.manipulation) == 1.11.100.v20190718.1529
osgi(org.eclipse.jdt.debug) == 3.12.200.v20190718.1529
osgi(org.eclipse.jdt.debug.ui) == 3.10.200.v20190718.1529
osgi(org.eclipse.jdt.doc.user) == 3.15.200.v20190718.1529
osgi(org.eclipse.jdt.junit) == 3.11.300.v20190718.1529
osgi(org.eclipse.jdt.junit.core) == 3.10.200.v20190718.1529
osgi(org.eclipse.jdt.junit.runtime) == 3.4.900.v20190718.1529
osgi(org.eclipse.jdt.junit4.runtime) == 1.1.900.v20190718.1529
osgi(org.eclipse.jdt.junit5.runtime) == 1.0.400.v20190718.1529
osgi(org.eclipse.jdt.launching) == 3.13.0.v20190718.1529
osgi(org.eclipse.jdt.ui) == 3.17.0.v20190718.1529

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package eclipse-jdt-4.11-2.mga8.noarch.rpm
Source Package eclipse-4.11-2.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install eclipse-jdt rpm package:
    # urpmi eclipse-jdt

Files

Path
/usr/share/appdata/eclipse-jdt.metainfo.xml
/usr/share/eclipse/droplets/eclipse-jdt/fragment.info
/usr/share/eclipse/droplets/eclipse-jdt/features/
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.17.0.v20190718-1529/epl-2.0.html
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.17.0.v20190718-1529/feature.properties
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.17.0.v20190718-1529/feature.xml
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.17.0.v20190718-1529/license.html
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.17.0.v20190718-1529/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.17.0.v20190718-1529/META-INF/maven/
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.17.0.v20190718-1529/META-INF/maven/org.eclipse.jdt.feature/
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.17.0.v20190718-1529/META-INF/maven/org.eclipse.jdt.feature/org.eclipse.jdt/pom.properties
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.17.0.v20190718-1529/META-INF/maven/org.eclipse.jdt.feature/org.eclipse.jdt/pom.xml
/usr/share/eclipse/droplets/eclipse-jdt/plugins/com.univocity.parsers_2.5.5.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.apiguardian_1.0.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.ant.launching_1.2.400.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.ant.ui_3.7.400.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.annotation_2.2.200.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.apt.core_3.6.300.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.apt.pluggable.core_1.2.300.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.apt.ui_3.6.200.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.compiler.apt_1.3.500.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.compiler.tool_1.2.500.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.core.manipulation_1.11.100.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.core_3.17.0.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug.ui_3.10.200.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.doc.user_3.15.200.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit.core_3.10.200.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit.runtime_3.4.900.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit4.runtime_1.1.900.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit5.runtime_1.0.400.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit_3.11.300.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.launching_3.13.0.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.ui_3.17.0.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt_3.17.0.v20190718-1529.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.hamcrest.core_1.3.0.v201303031735.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.jupiter.api_5.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.jupiter.engine_5.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.jupiter.migrationsupport_5.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.jupiter.params_5.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.commons_1.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.engine_1.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.launcher_1.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.runner_1.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.suite.api_1.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.vintage.engine_5.4.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit_4.12.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.opentest4j_1.1.1.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/.api_description
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/.options
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/about.html
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/jdi.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/jdimodel.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/plugin.properties
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/plugin.xml
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/META-INF/maven/
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/META-INF/maven/org.eclipse.jdt/
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/META-INF/maven/org.eclipse.jdt/org.eclipse.jdt.debug/pom.properties
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.12.200.v20190718-1529/META-INF/maven/org.eclipse.jdt/org.eclipse.jdt.debug/pom.xml
/usr/share/maven-metadata/eclipse-jdt.xml

Changelog

2019-07-19 - daviddavid <daviddavid> 1:4.11-2.mga8
+ Revision: 1422749
- Non-boostrap build
- Pre-strip debuginfo from the launcher binary to avoid conflicts with other RCP
applications, which will use identical launcher binaries
2019-07-19 - daviddavid <daviddavid> 1:4.11-1.mga8
+ Revision: 1422653
- Update to 2019-03 release
- Drop support for 32-bit architectures
2019-01-08 - daviddavid <daviddavid> 1:4.10.0-4.mga7
+ Revision: 1352016
- rebuild against current java stack
2018-12-25 - pterjan <pterjan> 1:4.10.0-3.mga7
+ Revision: 1344875
- Do not BuildRequire a package which doesn't exist
2018-12-23 - daviddavid <daviddavid> 1:4.10.0-2.mga7
+ Revision: 1344633
- non-bootstrap build
2018-12-14 - neoclust <neoclust> 1:4.10.0-1.mga7
+ Revision: 1341174
- New version 4.10.0
+ wally <wally>
- disable bootstrap build on aarch64
2018-09-17 - wally <wally> 1:4.6.3-9.mga7
+ Revision: 1259404
- enable bootstrap build for arm and aarch64
- enable org.eclipse.equinox.console again (with an untested patch)
2018-09-13 - wally <wally> 1:4.6.3-8.mga7
+ Revision: 1258921
- disable org.eclipse.equinox.console bundle for now
- fix build with new felix (modify Source1)
2018-08-15 - wally <wally> 1:4.6.3-7.mga7
+ Revision: 1251799
- backport upstream patches to fix build with lucene 6

See Also

Package Description
eclipse-jgit-5.3.0-2.mga8.noarch.rpm Eclipse JGit
eclipse-launchbar-2.2.3-1.mga8.noarch.rpm Eclipse Launchbar plug-in
eclipse-license1-1.0.1-2.mga8.noarch.rpm Shared EPL v1.0 license feature for Eclipse
eclipse-license2-2.0.1-2.mga8.noarch.rpm Shared EPL v2.0 license feature for Eclipse
eclipse-linuxtools-7.2.0-1.mga8.noarch.rpm Linux specific Eclipse plugins
eclipse-linuxtools-changelog-7.2.0-1.mga8.noarch.rpm Eclipse ChangeLog plug-in
eclipse-linuxtools-docker-7.2.0-1.mga8.noarch.rpm Docker Tooling
eclipse-linuxtools-gcov-7.2.0-1.mga8.noarch.rpm GCov Integration
eclipse-linuxtools-gprof-7.2.0-1.mga8.noarch.rpm GProf Integration
eclipse-linuxtools-javadocs-7.2.0-1.mga8.noarch.rpm Javadocs documentation plugin for Eclipse
eclipse-linuxtools-libhover-7.2.0-1.mga8.noarch.rpm Libhover documentation plugin for Eclipse
eclipse-linuxtools-manpage-7.2.0-1.mga8.noarch.rpm Man page viewer
eclipse-linuxtools-perf-7.2.0-1.mga8.noarch.rpm Eclipse plugin for Perf integration
eclipse-linuxtools-rpm-editor-7.2.0-1.mga8.noarch.rpm RPM Spec file editor for Eclipse
eclipse-linuxtools-systemtap-7.2.0-1.mga8.noarch.rpm Systemtap Tools Integration for Eclipse
Advertisement
Advertisement